Package org.bukkit.event.block

# Class BlockFromToEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockFromToEvent

All Implemented Interfaces:
  `Cancellable`

public class BlockFromToEvent extends BlockEvent implements Cancellable
Represents events with a source block and a destination block, currently only applies to liquid (lava and water) and teleporting dragon eggs.

If a Block From To event is cancelled, the block will not move (the liquid will not flow).

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`cancel`
`protected BlockFace`
`face`
`protected Block`
`to`

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockFromToEvent(@NotNull Block block, @NotNull Block toBlock)`
`BlockFromToEvent(@NotNull Block block, @NotNull BlockFace face)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull BlockFace`
`getFace()`
Gets the BlockFace that the block is moving to.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Block`
`getToBlock()`
Convenience method for getting the faced Block.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### to

protected Block to

### face

protected BlockFace face

### cancel

protected boolean cancel

## Constructor Details

### BlockFromToEvent

public BlockFromToEvent(@NotNull @NotNull Block block, @NotNull @NotNull BlockFace face)

### BlockFromToEvent

public BlockFromToEvent(@NotNull @NotNull Block block, @NotNull @NotNull Block toBlock)

## Method Details

### getFace

@NotNull public @NotNull BlockFace getFace()
Gets the BlockFace that the block is moving to.

Returns:
  The BlockFace that the block is moving to

### getToBlock

@NotNull public @NotNull Block getToBlock()
Convenience method for getting the faced Block.

Returns:
  The faced Block

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()